Bug 967022 - The realmd package should require the authconfig package
The realmd package should require the authconfig package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: realmd (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Stef Walter
David Spurek
:
Depends On: 964675
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 10:23 EDT by Patrik Kis
Modified: 2015-03-02 00:27 EST (History)
1 user (show)

See Also:
Fixed In Version: realmd-0.14.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 964675
Environment:
Last Closed: 2014-06-13 08:36:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2013-05-24 10:23:16 EDT
+++ This bug was initially created as a clone of Bug #964675 +++

Description of problem:
Trying to join AD domain using realm seems to fail, but might successed.
Attached journal points to problem: missing authconfig

Version-Release number of selected component (if applicable):
realmd-0.14.1-1.fc19
sssd-1.10.0-5.fc19.beta1

How reproducible:
Only tried once

Steps to Reproduce:
[root@localhost liveuser]# realm join --user=Hermes-admin security.baseos.qe
Password for Hermes-admin: 
See: journalctl REALMD_OPERATION=r1284.1823
realm: Couldn't join realm: This computer's host name is not set correctly.
[root@localhost liveuser]# hostname dcclient.krtek.net
[root@localhost liveuser]# realm join --user=Hermes-admin security.baseos.qe
  
Actual results:
See: journalctl REALMD_OPERATION=r1326.1833
realm: Couldn't join realm: Enabling SSSD in nsswitch.conf and PAM failed.
$ geten$ getent passwd 'Hermes@security.baseos.qe'
hermes@security.baseos.qe:*:89801138:89800513:Hermes:/home/security.baseos.qe/hermes:/bin/bash

Expected results:
Missing authconfig is automatically installed, domain join success with no error.

Additional info:
Used freeip/ad testday livecd.
Subsequent try of joining fails with
realm: Already joined to this domain

--- Additional comment from Stef Walter on 2013-05-24 06:43:20 EDT ---

We can just add this as a requires of realmd, since it's needed by all realmd providers, on Fedora/RHEL.
Comment 3 Ludek Smid 2014-06-13 08:36:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.